コンテンツへスキップ

Ideogram V4.5 Edit

統合

モデルID ideogram/v4.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v4.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.06 60 APIクレジット このページで実行

APIキーを取得
Ideogram 画像編集 参照入力 #realism#typography#editing

任意のマスク、最大4枚の参照画像、高精度モードに対応するIdeogram 4.5のプロンプトベース画像編集

Ideogram · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 10000

生成または編集を説明するプロンプト。

•必須 image_url
ファイルをドロップ、または

編集用のメイン元画像。

quality デフォルト medium

どちらの編集精度設定にも適用される品質レベル。medium がデフォルトです。

image_size デフォルト auto

出力サイズの選択。名前付きプリセットとカスタム寸法は、マスクなしの通常編集でのみ使用できます。各寸法は >=256 かつ 32 で割り切れ、面積は <=4194304、比率は <=6:1 である必要があります。auto を選択すると元画像の形状を維持し、必要に応じてプロバイダーによる縮小を許可します。

num_images デフォルト 1

生成する画像数。

詳細設定 images · mask · edit_precision · seed
reference_image_urls
ファイルをドロップ、または · 4まで

主元画像に添える参照画像。マスクなしでは最大 4 枚、マスクも指定する場合は最大 3 枚です。

mask_url
ファイルをドロップ、または

編集・保持マスク。丸め処理後も、編集する黒い領域と保持する白い領域の両方を含む必要があります。寸法は元画像と同じでなければなりません。

edit_precision デフォルト regular

編集精度を選択します。選択に関係なく、構造化された編集指示が準備されます。high では Precise Edit が変更されていないピクセルを復元し、regular では Generate が使用されます。

ランダムシード。省略時は自動的に選択されます。

POST /run/ideogram/v4.5/edit?wait=20 見積もり → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v4.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ideogram V4.5 Editについて

最大10,000文字のプロンプトからソース画像を編集します。任意の`mask_url`で編集範囲を限定でき、`reference_image_urls`には最大4枚の参照画像を指定できます。`edit_precision`のhighは変更されていないピクセルを復元し、`quality`はvery_low〜highです。1回の呼び出しで最大8枚を生成します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 10,000文字
生成または編集を説明するプロンプト。
image_url必須 image
型url · image
編集用のメイン元画像。
reference_image_urls任意 images
型url[] · image
≤ 4項目
主元画像に添える参照画像。マスクなしでは最大 4 枚、マスクも指定する場合は最大 3 枚です。
mask_url任意 mask
型url · image
編集・保持マスク。丸め処理後も、編集する黒い領域と保持する白い領域の両方を含む必要があります。寸法は元画像と同じでなければなりません。
edit_precision任意
型enum
デフォルトregular
regularhigh
編集精度を選択します。選択に関係なく、構造化された編集指示が準備されます。high では Precise Edit が変更されていないピクセルを復元し、regular では Generate が使用されます。
quality任意
型enum
デフォルトmedium
very_lowlowmediumhigh
どちらの編集精度設定にも適用される品質レベル。medium がデフォルトです。
image_size任意
型object
デフォルトauto
autosquaresquare_hdportrait_4_3landscape_4_3portrait_16_9landscape_16_9
出力サイズの選択。名前付きプリセットとカスタム寸法は、マスクなしの通常編集でのみ使用できます。各寸法は >=256 かつ 32 で割り切れ、面積は <=4194304、比率は <=6:1 である必要があります。auto を選択すると元画像の形状を維持し、必要に応じてプロバイダーによる縮小を許可します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 8
生成する画像数。
seed任意
型integer | null
ランダムシード。省略時は自動的に選択されます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v4.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size}
seed
integer乱数生成に使用するシード値です。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ideogram/v4.5/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt